PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP TABLE

## Name

DROP TABLE -- remove a table

## Synopsis

    DROP TABLE name [, ...] [ CASCADE | RESTRICT ]

## Description

`DROP TABLE` removes tables from the database. Only its owner may destroy a table. To empty a table of rows, without destroying the table, use `DELETE`.

`DROP TABLE` always removes any indexes, rules, triggers, and constraints that exist for the target table. However, to drop a table that is referenced by a foreign-key constraint of another table, CASCADE must be specified. (CASCADE will remove the foreign-key constraint, not the other table entirely.)

## Parameters

name

  The name (optionally schema-qualified) of the table to drop.

CASCADE

  Automatically drop objects that depend on the table (such as views).

RESTRICT

  Refuse to drop the table if any objects depend on it. This is the default.

## Examples

To destroy two tables, films and distributors:

    DROP TABLE films, distributors;

## Compatibility

This command conforms to the SQL standard.

## See Also

ALTER TABLE, CREATE TABLE

Prev | Home | Next
DROP SEQUENCE | Up | DROP TRIGGER